Community
Showing results for 
Search instead for 
Do you mean 
Reply

Version of remote database decrease

Accepted Solution Solved
Copper Contributor
Posts: 6
Country: France
Accepted Solution

Version of remote database decrease

Hello everyone,

Please excuse my bad English.

I try to install a remote database from a server to a laptop.  The RDP file creates a database version lower than that is installed on both machines.

Installed versions: ACT!  Premium 2011 Issue 13.1.111.0.  Hot Fix 4
( The 2 machines have the same version ).

In Actdiag ( server ) version of the database is 13.1.9.7.1.
The version of the remote database created decreases.  It becomes the number 13.1.1.97.0.

 

From there, ACT!  refuses to update the database, and delivers the message about an incorrect database scheme.

However, a database backup and restore " normal " works correctly.

Someone does know this problem?.

It's a real problem, and it blocks our activities.

Thank you in advance for any response.

 

Best regards

 

Jean Claude


Accepted Solutions
Solution
Accepted by topic author jcbe59
‎09-25-2015 03:20 AM
Copper Contributor
Posts: 6
Country: France

Re: Version of remote database decrease

I found this post who resolve definitly the problem.

Just field "Region" renamed, and the conversion works.

 

Re: Migrate to Sage ACT Premium 2011 issue

Do you happen to have custom Company fields for 'Territory' and 'Region'?  If you have 2010 re-installed, rename the 2 Company fields (ex: Territory1 and Region1) > then reinstall 2011 and attempt to update the database.

Greg Martin
Moderator
Sage ACT! Community
Sage

View solution in original post


All Replies
Platinum Elite Contributor
Posts: 6,537
Country: USA

Re: Version of remote database decrease

[ Edited ]

Hello Jean Claude,
Welcome to the Sage ACT! Community. The version 13.1.97.1 is the correct schema for a database using ACT! version 13.1.111. It is not unusual for the database schema number to be different than the ACT! version number. Sorry if this caused any confusion.

 

What is the exact error message you are getting when synchronizing the remote database?

Greig Hollister

Note: Effective 6/1/13, Sage no longers provides support for the Act! software. This is now provided by Swiftpage.

Copper Contributor
Posts: 6
Country: France

Re: Version of remote database decrease

 

Hello Greig,

 

Thank you very much for this quick answer.

I have no confusion between the version of ACT!  and that of the database.
What I see is that when creating the remote database, the version of the database ( the number you can see in ACTDIAG ) changes!  Something happened, because the remote database to be created on the new machine is recognized as an older version.  Looks like the process of remote database creation of database change the schema or something like that.

The version number of the database (in ACTDIAG) is really decrease from 13.1.91.1 to 13.1.97.0

Then, it is impossible to update.

Copper Contributor
Posts: 6
Country: France

Re: Version of remote database decrease

Oh, sorry,

 

Replace : The version number of the database (in ACTDIAG) is really decrease from 13.1.91.1 to 13.1.97.0

By : The version number of the database (in ACTDIAG) is really decrease from 13.1.97.1 to 13.1.97.0

Platinum Elite Contributor
Posts: 6,537
Country: USA

Re: Version of remote database decrease

See if this helps: In ACT! Diagnostics, highlight the remote database, right-click, then choose Database Rebuild > Rebuild Schema. The choose Database Rebuild > Rebuild Sync Objects.

Greig Hollister

Note: Effective 6/1/13, Sage no longers provides support for the Act! software. This is now provided by Swiftpage.

Copper Contributor
Posts: 6
Country: France

Re: Version of remote database decrease

The error message :

 

In french :

Des exceptions se sont produites pendant l'exécution du script de mise à jour du schéma de la base de données.
Contactez votre administrateur pour obtenir de l'aide.

 

In english (maybe bad translation)

Exceptions occurred during the execution of the script to update the schema of the database.
Contact your administrator for assistance.

 

I have had the same problem when one day I tried to update an old database.

 

Copper Contributor
Posts: 6
Country: France

Re: Version of remote database decrease

Greig,

Thank you for the advice.  Unfortunately, the reconstruction did nothing.
it's really strange that the version of the database is changed when it was created.  I did other tests from another machine in the other direction, and it is the same thing.
I also tried with a basic demo ACT!.  It is still the same.

In the error log, below, we can clearly seen a difference in versions.

Strange...

 

[Log]

 

Configuration option 'user instances enabled' changed from 0 to 0. Run the RECONFIGURE statement to install.
-------------------------------------------------------------
 CURRENT BUILD: 13.1.97.0
  UPDATE BUILD: 13.1.97.1
------------------------------------------------------------

Solution
Accepted by topic author jcbe59
‎09-25-2015 03:20 AM
Copper Contributor
Posts: 6
Country: France

Re: Version of remote database decrease

I found this post who resolve definitly the problem.

Just field "Region" renamed, and the conversion works.

 

Re: Migrate to Sage ACT Premium 2011 issue

Do you happen to have custom Company fields for 'Territory' and 'Region'?  If you have 2010 re-installed, rename the 2 Company fields (ex: Territory1 and Region1) > then reinstall 2011 and attempt to update the database.

Greg Martin
Moderator
Sage ACT! Community
Sage

New Member
Posts: 2
Country: Pakistan

Re: Version of remote database decrease

Hello,

 

Would you further elaborate this solution?

 

I did rebuild schema, and every other possible solutions.

 

my main database is about  13.1.97.1 version and the same remote dabase after unpacked its showing 13.00.00396.0000 version.how to come across both on the same version?

Platinum Elite Contributor
Posts: 6,537
Country: USA

Re: Version of remote database decrease

Hello Syed,
Welcome to the Sage ACT! Community. To get your versions aligned, you will need to apply Service Pack 1 to the ACT! 2011 installation on the remote machine. You can find this in our download center:
http://www.act.com/Support-and-Training/Download-Center

Greig Hollister

Note: Effective 6/1/13, Sage no longers provides support for the Act! software. This is now provided by Swiftpage.